namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 录用审批单(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrh)]
public class Ghrh_OfferApplyOrderController : BaseController<IGhrh_OfferApplyOrderServices, Ghrh_OfferApplyOrder, Ghrh_OfferApplyOrderDto, InsertGhrh_OfferApplyOrderInput, EditGhrh_OfferApplyOrderInput>
{
    public Ghrh_OfferApplyOrderController(IGhrh_OfferApplyOrderServices service) : base(service)
    {
    }

    #region 查询简历
    /// <summary>
    /// 查询简历
    /// </summary> 
    /// <param name="id">简历ID</param>
    /// <returns></returns> 
    [HttpPost, Route("QueryResume/{id}")]
    public async Task<ServiceResult<dynamic>> QueryResume(long id) => await _service.QueryResume(id);

    #endregion

    #region 临时新增
    /// <summary>
    /// 临时新增
    /// </summary> 
    /// <param name="resumeId">简历ID</param>
    /// <param name="entity">简历ID</param>
    /// <returns></returns> 
    [HttpPost, Route("TempAdd/{resumeId}")]
    public async Task<ServiceResult<long>> TempAdd(long resumeId, [FromBody] InsertGhrh_OfferApplyOrderInput entity) => await _service.TempAdd(resumeId, entity);

    #endregion
}